using System;
using System.Collections.Generic;
using System.Windows.Forms;
using PhoenixDLL.RegistryConfiguration;
using PhoenixPrescription.GUI;
using PhoenixDLL.GUI;

namespace PhoenixPrescription
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            #region Vrification de la base de registre
            RegistryManager rm = new RegistryManager(PhoenixSuite.Pega);
            try
            {
                if (!rm.ProcessRegistry())
                {
                    DialogResult dr = MessageBox.Show("Le chemin de l'application n'est pas le mme que le dernire fois."
                    + " Voulez-vous enregistrer le nouvel emplacement?", "Question", MessageBoxButtons.YesNo,
                    MessageBoxIcon.Asterisk);

                    if (dr == DialogResult.Yes) rm.ResetPath();
                }
            }
            catch (Exception ex)
            {
                DialogResult dr = MessageBox.Show("Une erreur est survenue\r\n" + ex.Message
                    + "\r\nVoulez-vous changer les options?",
                    "Attention", MessageBoxButtons.YesNo, MessageBoxIcon.Asterisk);
                if (dr == DialogResult.Yes)
                {
                    fr_Options fr = new fr_Options();
                    fr.ShowDialog();
                }
            }
            #endregion

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new fr_Main());
        }
    }
}